socat (1.7.4.1-3ubuntu4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:32 +0100

socat (1.7.4.1-3ubuntu3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:57:29 +0000

socat (1.7.4.1-3ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:36 +0200

socat (1.7.4.1-3ubuntu1) hirsute; urgency=medium

  * Fix socat ftbfs, port is in use.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Feb 2021 12:53:19 +0000

socat (1.7.4.1-3) unstable; urgency=medium

  * Update watch file.
  * Update Standards-Version to 4.5.1 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Annotate test dependencies <!nocheck> (closes: #981736).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Feb 2021 13:58:17 +0100

socat (1.7.4.1-2) unstable; urgency=medium

  * Disable additional tests failing on buildds.
  * Do not fail tests on kFreeBSD and on Hurd.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Jan 2021 21:43:44 +0100

socat (1.7.4.1-1) unstable; urgency=medium

  * New upstream release (closes: #979720).
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Jan 2021 19:30:08 +0100

socat (1.7.3.4-1) unstable; urgency=medium

  * New upstream release (closes: #958452).
  * Comment out libwrap variables to fix GCC 10 FTBFS (closes: #957823).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Apr 2020 06:17:10 +0000

socat (1.7.3.3-2) unstable; urgency=medium

  * Make iproute2 self-test build dependency linux-any.
  * Mark test 226 as failing as well due to secondary architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Oct 2019 17:42:04 +0000

socat (1.7.3.3-1) unstable; urgency=medium

  * New upstream release:
    - fixes hostname and numeric address distinction (closes: #695885).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.4.1 .

  [ Julian Andres Klode <juliank@ubuntu.com> ]
  * Add missing build-depends for tests, disable failing test 58 (does not
    like containers) (closes: #894783).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 23 Oct 2019 14:46:52 +0000

socat (1.7.3.2-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1:
    - change package priority to optional.
  * Remove dh-autoreconf build dependency.

  [ Andreas Henriksson <andreas@fatal.se> ]
  * Have compat.h define PATH_MAX if undefined (closes: #882020).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Nov 2017 13:56:10 +0000

socat (1.7.3.2-1) unstable; urgency=medium

  * New upstream release (closes: #854498).
  * Drop merged in patches and update remaining ones.
  * Watch for stable, 1.x releases only.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Jul 2017 17:11:32 +0000

socat (1.7.3.1-2) unstable; urgency=low

  * Backport upstream fix to build with OpenSSL 1.1.0 (closes: #828550).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Nov 2016 22:47:30 +0000

socat (1.7.3.1-1) unstable; urgency=high

  * New upstream release:
    - fixes Socat security advisory 7: Bad DH p paramenter in OpenSSL
      (closes: #813536),
    - fixes Socat security advisory 8: stack overflow vulnerability in parser
      (closes: #813535).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 02 Feb 2016 22:25:06 +0100

socat (1.7.3.0-2) unstable; urgency=low

  * Use upstream patch to fix CPU usage on unknown hosts (closes: #803378).

  [ Jon DeVree <nuxi@vault24.org> ]
  * Make use of SSLv3 methods conditional (closes: #804611).

  [ Robert Bihlmeyer <r.bihlmeyer@arrowecs.at> ]
  * Document missing readline support in manpage (closes: #677371).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 Dec 2015 19:43:36 +0100

socat (1.7.3.0-1) unstable; urgency=low

  * New upstream release.
  * Specify BUILD_DATE to make builds reproducible (closes: #764251).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 May 2015 06:53:56 +0000

socat (1.7.2.4-2) unstable; urgency=high

  * Backport upstream fix to prevent DoS with fork, fixes CVE-2015-1379
    (closes: #776234).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 Feb 2015 16:58:04 +0000

socat (1.7.2.4-1) unstable; urgency=low

  * New upstream release, update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 24 Jun 2014 17:12:36 +0000

socat (1.7.2.3-1) unstable; urgency=high

  * New upstream release, fixing CVE-2014-0019 (closes: #736993).
  * Update to Standards-Version 3.9.5 .

  [ Bart Martens <bartm@debian.org> ]
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2014 09:48:00 +0100

socat (1.7.2.2-1) unstable; urgency=low

  * New upstream release, fixing CVE-2013-3571 .
  * New maintainer (closes: #717434), fix packaging problems.
  * Update to Standards-Version 3.9.4 , no changes needed.
  * Merge in manpage fixes (closes: #702136).

  [ Bart Martens <bartm@debian.org> ]
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jul 2013 16:19:26 +0200

socat (1.7.1.3-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Add CVE-2013-3571.patch patch.
    CVE-2013-3571: Fix denial of service due to file descriptor leak.
    (Closes: #709931)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 03 Jul 2013 17:17:33 +0200

socat (1.7.1.3-1.4) unstable; urgency=low

  * Non-maintainer upload for release goal
  * Update debhelper compat level to 9, results in hardened build
    flags (Closes: #654152)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 11 May 2012 22:46:05 +0200

socat (1.7.1.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Disable readline support (closes: #632481). GNU Readline license (GPL) is
    incompatible with the OpenSSL license. Thanks to Julien Cristau for the
    bug report.
    + Pass --disable-readline to the configure script.
    + Remove libreadline-gplv2-dev from Build-Depends.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 22 Apr 2012 10:50:07 +0200

socat (1.7.1.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace libreadline5-dev build dependency with libreadline-
    gplv2-dev" (Closes: #553853)

 -- Hector Oron <zumbi@debian.org>  Tue, 20 Sep 2011 00:22:41 +0100

socat (1.7.1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build against new openssl (without SSLv2 support), closes: #622018.

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 Jul 2011 20:00:11 +0200

socat (1.7.1.3-1) unstable; urgency=low

  * New upstream release.
  * Upstream release fixes CVE-2010-2799 (Closes: #591443)
  * Bump Standards-Version.

 -- Chris Taylor <ctaylor@debian.org>  Tue, 03 Aug 2010 06:07:55 +0000

socat (1.7.1.2-4) unstable; urgency=low

  * Build-dep on libreadline5-dev (Closes: #579494)

 -- Chris Taylor <ctaylor@debian.org>  Wed, 28 Apr 2010 18:45:21 +0000

socat (1.7.1.2-3) unstable; urgency=low

  * Patch manpage in 02-Manpage-slashes.
    - Removes spurious slashes (Closes: #572392).
  * Fix socat truncation in 03-Truncate (Closes: #573902).
  * Add README.Debian to explain handling of truncated sockets.

 -- Chris Taylor <ctaylor@debian.org>  Mon, 15 Mar 2010 23:29:08 +0000

socat (1.7.1.2-2) unstable; urgency=low

  * Remove dependency on doc-base (Closes: #569349).

 -- Chris Taylor <ctaylor@debian.org>  Thu, 11 Feb 2010 19:06:39 +0000

socat (1.7.1.2-1) unstable; urgency=low

  * New maintainer (Closes: #569184).
  * New upstream release (Closes: #568100).
    - Fixes execs children with SIGCHLD ignored (Closes: #531078).
  * Depend on libreadline-dev instead of libreadline5-dev (Closes: #553853).
  * Mention support of sctp in package description (Closes: #569055).
  * Use source format 3.0 (quilt).
  * Bump compat to 7.
  * Bump standards-version to 3.8.4
  * Use quilt for patches and build-depend on quilt.
  * Use new format for debian/copyright.
  * Use dh7 for debian/rules.
  * Add watch file.
  * Add misc dep to depends.
  * Update manpage in 00-Manpage.
    - Port changes from previous versions.
    - Fix lintian errors in manpage.
  * Register documentation with doc-base.
  * Override false-positive lintian warning.

 -- Chris Taylor <ctaylor@debian.org>  Wed, 10 Feb 2010 20:58:08 +0000

socat (1.7.1.0-1) unstable; urgency=low

  * New upstream release (closes: #519387)
    - now supports SCTP sockets (closes: #462869)
    - includes "fixsetenv" patch
  * Bumped Standards-Version to 3.8.1

 -- Thomas Seyrat <tomasera@debian.org>  Mon, 13 Apr 2009 23:09:42 +0200

socat (1.6.0.1-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.7.3

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 28 Feb 2008 14:49:58 +0100

socat (1.6.0.0-1) unstable; urgency=low

  * New upstream release (closes: #386748)
  * Fixed some manpage issues (closes: #372158, #408412), thanks
    Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
  * Bumped Standards-Version to 3.7.2

 -- Thomas Seyrat <tomasera@debian.org>  Sat, 21 Jul 2007 16:18:31 +0200

socat (1.4.3.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 13 Apr 2006 15:54:50 +0200

socat (1.4.3.0-1) unstable; urgency=low

  * New upstream release (closes: #340557)
    - manpage was fixed upstream some time ago (closes: #187443)
  * Build against libreadline5-dev (closes: #326296)
  * Fixed manpage example (closes: #311064), thanks Daniel Kahn
    Gillmor <dkg-debian.org@fifthhorseman.net>
  * Bumped Standards-Version to 3.6.2

 -- Thomas Seyrat <tomasera@debian.org>  Wed,  7 Dec 2005 11:32:27 +0100

socat (1.4.2.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Seyrat <tomasera@debian.org>  Mon,  4 Apr 2005 17:32:49 +0200

socat (1.4.1.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Seyrat <tomasera@debian.org>  Tue, 14 Dec 2004 10:13:57 +0100

socat (1.4.0.3-1) unstable; urgency=low

  * New upstream release
    - fixes format string vulnerability

 -- Thomas Seyrat <tomasera@debian.org>  Wed, 24 Nov 2004 11:14:36 +0100

socat (1.4.0.1-1) unstable; urgency=low

  * New upstream release
    - socks4a client code fixed (closes: #258902)

 -- Thomas Seyrat <tomasera@debian.org>  Thu,  2 Sep 2004 15:42:21 +0200

socat (1.4.0.0-1) unstable; urgency=low

  * New upstream release
    - socks4 fixed on platforms where long does not have 32 bits
      (closes: #248814)

 -- Thomas Seyrat <tomasera@debian.org>  Tue, 22 Jun 2004 16:28:25 +0200

socat (1.3.2.2-1) unstable; urgency=low

  * New upstream release
  * Removed bashisms from ftp.sh and mail.sh ("function" keyword)
  * Bumped Standards-Version to 3.6.1

 -- Thomas Seyrat <tomasera@debian.org>  Fri, 31 Oct 2003 16:52:48 +0100

socat (1.3.2.1-1) unstable; urgency=medium

  * New upstream release
    - Version 1.3.2.1 fixes a major bug which had been introduced by a
      last minute change during 1.3.2.0 release. This bug had made the
      new "nofork" option useless.

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 20 Jul 2003 13:37:08 +0200

socat (1.3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 10 Jul 2003 09:44:54 +0200

socat (1.3.1.0-1) unstable; urgency=low

  * New upstream release
    - Adds Wietse Venema's tcpwrapper library (libwrap) support.
  * Added a build dependency on libwrap0-dev to compile tcpwrap option
    support.
  * Bumped Standards-Version to 3.5.10.

 -- Thomas Seyrat <tomasera@debian.org>  Wed,  4 Jun 2003 00:27:12 +0200

socat (1.3.0.1-2) unstable; urgency=low

  * Rebuild against libssl0.9.7
  * Bumped Standards-Version to 3.5.8.

 -- Thomas Seyrat <tomasera@debian.org>  Tue, 11 Feb 2003 13:20:40 +0100

socat (1.3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Thomas Seyrat <tomasera@debian.org>  Wed, 13 Nov 2002 14:44:25 +0100

socat (1.3.0.0-2) unstable; urgency=low

  * Minor description update in debian/control
  * Ship mail.sh script as an example

 -- Thomas Seyrat <tomasera@debian.org>  Thu, 10 Oct 2002 11:39:18 +0200

socat (1.3.0.0-1) unstable; urgency=low

  * New upstream release
  * Readded build dependency on libssl-dev to reenable OpenSSL
    address type support : upstream has updated license.
  * Updated debian/copyright

 -- Thomas Seyrat <tomasera@debian.org>  Sat,  5 Oct 2002 15:33:03 +0200

socat (1.2.0.0-2) unstable; urgency=low

  * Removed build dependency on libssl-dev and disabled OpenSSL
    address type support in debian/control : upstream has not updated
    license yet, and this package should go into testing. (closes: #153525)
  * Bumped Standards-Version to 3.5.7.

 -- Thomas Seyrat <tomasera@debian.org>  Sat, 21 Sep 2002 12:05:24 +0200

socat (1.2.0.0-1) unstable; urgency=low

  * New upstream release
  * Added a build dependency on libreadline4-dev to compile READLINE
    address type support. (closes: #152963)
  * Added a build dependency on libssl-dev to compile OPENSSL
    address type support.
  * Updated description to mention SSL sockets support.

 -- Thomas Seyrat <tomasera@debian.org>  Sun, 14 Jul 2002 23:51:36 +0200

socat (1.1.0.0-1) unstable; urgency=low

  * New upstream release
  * Removed debian-provided man page.

 -- Thomas Seyrat <tomasera@debian.org>  Mon,  3 Jun 2002 11:09:53 +0200

socat (1.0.4.2-1) unstable; urgency=low

  * Initial Release. (closes: #146161)

 -- Thomas Seyrat <tomasera@debian.org>  Wed,  8 May 2002 00:36:08 +0200
